# OnnxRuntime: Ort::detail::Unowned< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::Unowned< T > Struct Template Reference

This is a tagging template type. Use it with Base<T> to indicate that the C++ interface object has no ownership of the underlying C object. More...

`#include <onnxruntime_cxx_api.h>`

## Public Types

using | Type = T

## Detailed Description

template<typename T>
struct Ort::detail::Unowned< T >

This is a tagging template type. Use it with Base<T> to indicate that the C++ interface object has no ownership of the underlying C object.

## Member Typedef Documentation

## Type

template<typename T >

using Ort::detail::Unowned< T >::Type = T